using System;

namespace Smdn.Protocols.Imap4 {
  // StringTypes:
  //   ImapString
  //     => handles 'string'
  //     ImapQuotedString
  //       => handles 'quoted'
  //     ImapLiteralString
  //       => handles 'literal'
  //     ImapStringList
  //       => list of ImapString
  //       ImapParenthesizedString
  //         => handles 'parenthesized list'

  public class ImapParenthesizedString : ImapStringList {
    public ImapParenthesizedString(string val)
      : this(new ImapString(val))
    {
    }

    public ImapParenthesizedString(params ImapString[] values)
      : base(values, true)
    {
    }
  }
}
