using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapLoginReferralResponse : ImapResponse {
    public ImapUri Referral {
      get { return referral; }
    }

    internal ImapLoginReferralResponse(ImapTransactionStatus status, ImapUri referral, string description)
      : base(status, description)
    {
      this.referral = referral;
    }

    private readonly ImapUri referral;
  }
}
