using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapMailboxReferralResponse : ImapResponse {
    public ImapUri[] Referrals {
      get { return referrals; }
    }

    internal ImapMailboxReferralResponse(ImapTransactionStatus status, ImapUri[] referrals, string description)
      : base(status, description)
    {
      this.referrals = referrals;
    }

    private readonly ImapUri[] referrals;
  }
}
