using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapSizeStatusUpdatedResponse : ImapResponse {
    public ImapSizeStatus UpdatedStatus {
      get { return updatedStatus; }
    }

    internal ImapSizeStatusUpdatedResponse(ImapTransactionStatus status, ImapSizeStatus updatedStatus, string description)
      : base(status, description)
    {
      this.updatedStatus = updatedStatus;
    }

    private readonly ImapSizeStatus updatedStatus;
  }
}