using System;

namespace Smdn.Protocols.Pop3.Protocol {
  // ResponseTypes:
  //   PopProtocolResponse(abstract base)
  //     => handles all response
  //     PopStatusResponse
  //       => handles '+OK' or '-ERR' status indicator responses
  //     PopFollowingResponse
  //       => handles a line of following multi-line response after ImapStatusResponse
  //     PopTerminationResponse
  //       => handles a termination of multi-line response (CRLF.CRLF)
  //     PopContinuationRequest
  //       => handles 'RFC 1734 POP3 AUTHentication command' continuation request

  public class PopTerminationResponse : PopProtocolResponse {
    public PopTerminationResponse(string response)
      : base(response)
    {
    }
  }
}