using System;

namespace Smdn.Protocols.Pop3.Transaction {
  public class PopCapabilityResponse : PopResponse {
    public PopCapability Capability {
      get { return capability; }
    }

    internal PopCapabilityResponse(PopTransactionStatus status, PopCapability capability, string description)
      : base(status, description)
    {
      this.capability = capability;
    }

    private readonly PopCapability capability;
  }
}
