using System;

namespace Smdn.Protocols.Pop3.Transaction {
  public class PopStlsRequest : PopRequest {
    public PopCreateAuthenticatedStreamCallback CreateAuthenticatedStreamCallback {
      get { return createAuthenticatedStreamCallback; }
    }

    internal PopStlsRequest(PopCreateAuthenticatedStreamCallback createAuthenticatedStreamCallback, int timeout)
      : base(PopTransactionMethod.Stls, timeout)
    {
      this.createAuthenticatedStreamCallback = createAuthenticatedStreamCallback;
    }

    private readonly PopCreateAuthenticatedStreamCallback createAuthenticatedStreamCallback;
  }
}
