using System;

namespace Smdn.Protocols.Pop3.Transaction {
  public class PopUniqueIdListResponse : PopResponse {
    public PopUniqueIdList[] UniqueIdLists {
      get { return uniqueIdLists; }
    }

    internal PopUniqueIdListResponse(PopTransactionStatus status, PopUniqueIdList[] uniqueIdLists, string description)
      : base(status, description)
    {
      this.uniqueIdLists = uniqueIdLists;
    }

    private readonly PopUniqueIdList[] uniqueIdLists;
  }
}
